curl --request GET \
--url https://scx-sbx.api.jtl-software.com/v1/seller/meta/{channel}/shipping-rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/meta/{channel}/shipping-rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/meta/{channel}/shipping-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"supportedCarrierList": [
{
"carrierId": "C102",
"displayName": "Deutsche Post"
}
],
"sellerShippingAttributeList": [
{
"sellerId": "otto-seller-123",
"shippingAttributeList": [
{
"group": "GENERIC",
"attributeId": "IMEI",
"displayName": "IMEI",
"type": "text",
"level": "ORDER_ITEM",
"description": "International Mobile Equipment Identity",
"enumValues": [
{
"value": "<string>",
"display": "<string>",
"sort": 0
}
],
"attributeValueValidation": "/^[0-9]{15}$/",
"isMultipleAllowed": false,
"required": false,
"recommended": false
}
]
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Channel Shipping
List all shipping rules defined by carrier, as well as the resolved shipping attributes
(sellerShippingAttributeList) for the sellers this account has connected to the channel.
Authorizations
Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL
Customer Center. Usage format: Bearer <JWT>.
Path Parameters
Channel identifier the shipping rules are requested for (e.g. MBDCOM)
Response
Shipping rules supported by the channel
Shipping rules supported by the channel — list of carriers and the regions they serve.
Show child attributes
Show child attributes
Per seller resolved shipping attributes for the sellers this account has connected to this channel.
Resolution merges the generic attribute catalog (as activated by the channel, with any policy
override), channel specific attributes and any seller specific override — a seller specific
definition fully replaces the channel level one of the same attributeId, seller wins.
Empty when the account has no sellers connected to this channel.
Show child attributes
Show child attributes
Was this page helpful?